Bug 358201 - rsync using two different timezones in log messages
rsync using two different timezones in log messages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
6
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 10:10 EDT by Jan Christiaan van Winkel
Modified: 2008-04-04 04:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 04:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Christiaan van Winkel 2007-10-30 10:10:33 EDT
Description of problem:
rsync as server seems to log in two different time-zones:
"connect" and "rsync on" lines are logged in localtime, some others (like  
"building file list" and "sent XXXX bytes" are in UTC.  This is very annoying
when using scripts to pair the messages together to get an elapsed time (using
the PID field in the lines)

Version-Release number of selected component (if applicable):
rsync-2.6.9-2.fc6

How reproducible:
Allways when connectong to the rsync server


Steps to Reproduce:
1. transfer a file from rsync server (module-wise)
2. look in logfile

  
Actual results:
(example, our timezone here is CET-1)
2007/10/30 14:57:42 [10472] connect from UNKNOWN (192.168.1.2)
2007/10/30 14:57:42 [10472] rsync on video/3_20071015182300.mpg.png from unknown
(192.168.1.2)
2007/10/30 13:57:42 [10472] building file list
2007/10/30 13:57:42 [10472] sent 329 bytes  received 391 bytes  total size 31690


Expected results:
2007/10/30 14:57:42 [10472] connect from UNKNOWN (192.168.1.2)
2007/10/30 14:57:42 [10472] rsync on video/3_20071015182300.mpg.png from unknown
(192.168.1.2)
2007/10/30 14:57:42 [10472] building file list
2007/10/30 14:57:42 [10472] sent 329 bytes  received 391 bytes  total size 31690


Additional info:
When we still had daylight saving time here, the difference between the connect
and sent lines was 2 hours, in stead of 1.  This suggests indeed that in one
place localtime is used, and UTC in others.
Comment 1 Bug Zapper 2008-04-04 03:39:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.